    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.GridLayout

    java.lang.Object
       |
       +----java.awt.GridLayout

public class GridLayout
extends Object
implements LayoutManager, Serializable

The `GridLayout` class is a layout manager that lays out a container's components in a rectangular grid.

The container is divided into equal-sized rectangles, and one component is placed in each rectangle.

For example, the following is an applet that lays out six buttons into three rows and two columns:

>      import java.awt.*;
>      import java.applet.Applet;
>      public class ButtonGrid extends Applet {
>          public void init() {
>              setLayout(new GridLayout(3,2));
>              add(new Button("1"));
>              add(new Button("2"));
>              add(new Button("3"));
>              add(new Button("4"));
>              add(new Button("5"));
>              add(new Button("6"));
>          }
>      }

It produces the following output:

When both the number of rows and the number of columns have been set to non-zero values, either by a constructor or by the `setRows` and `setColumns` methods, the number of columns specified is ignored. Instead, the number of columns is determined from the specified number or rows and the total number of components in the layout. So, for example, if three rows and two columns have been specified and nine components are added to the layout, then they will be displayed as three rows of three columns. Specifying the number of columns affects the layout only when the number of rows is set to zero.

##

GridLayout()
  Creates a grid layout with a default of one column per component, in a single row.
GridLayout(int, int)
  Creates a grid layout with the specified number of rows and columns.
GridLayout(int, int, int, int)
  Creates a grid layout with the specified number of rows and columns.

##

addLayoutComponent(String, Component)
  Adds the specified component with the specified name to the layout.
getColumns()
  Gets the number of columns in this layout.
getHgap()
  Gets the horizontal gap between components.
getRows()
  Gets the number of rows in this layout.
getVgap()
  Gets the vertical gap between components.
layoutContainer(Container)
  Lays out the specified container using this layout.
minimumLayoutSize(Container)
  Determines the minimum size of the container argument using this grid layout.
preferredLayoutSize(Container)
  Determines the preferred size of the container argument using this grid layout.
removeLayoutComponent(Component)
  Removes the specified component from the layout.
setColumns(int)
  Sets the number of columns in this layout to the specified value.
setHgap(int)
  Sets the horizontal gap between components to the specified value.
setRows(int)
  Sets the number of rows in this layout to the specified value.
setVgap(int)
  Sets the vertical gap between components to the specified value.
toString()
  Returns the string representation of this grid layout's values.

##

GridLayout

     public GridLayout()

  Creates a grid layout with a default of one column per component, in a single row.

GridLayout

     public GridLayout(int rows,
                       int cols)

  Creates a grid layout with the specified number of rows and columns. All components in the layout are given equal size.

  One, but not both, of `rows` and `cols` can be zero, which means that any number of objects can be placed in a row or in a column.

  Parameters:
    rows - the rows, with the value zero meaning any number of rows.
    cols - the columns, with the value zero meaning any number of columns.

GridLayout

     public GridLayout(int rows,
                       int cols,
                       int hgap,
                       int vgap)

  Creates a grid layout with the specified number of rows and columns. All components in the layout are given equal size.

  In addition, the horizontal and vertical gaps are set to the specified values. Horizontal gaps are placed at the left and right edges, and between each of the columns. Vertical gaps are placed at the top and bottom edges, and between each of the rows.

  One, but not both, of `rows` and `cols` can be zero, which means that any number of objects can be placed in a row or in a column.

  Parameters:
    rows - the rows, with the value zero meaning any number of rows.
    cols - the columns, with the value zero meaning any number of columns.
    hgap - the horizontal gap.
    vgap - the vertical gap.
  Throws: IllegalArgumentException
    if the of `rows` or `cols` is invalid.

##

getRows

     public int getRows()

  Gets the number of rows in this layout.

  Returns:
    the number of rows in this layout.

setRows

     public void setRows(int rows)

  Sets the number of rows in this layout to the specified value.

  Parameters:
    rows - the number of rows in this layout.
  Throws: IllegalArgumentException
    if the value of both `rows` and `cols` is set to zero.

getColumns

     public int getColumns()

  Gets the number of columns in this layout.

  Returns:
    the number of columns in this layout.

setColumns

     public void setColumns(int cols)

  Sets the number of columns in this layout to the specified value. Setting the number of columns has no affect on the layout if the number of rows specified by a constructor or by the `setRows` method is non-zero. In that case, the number of columns displayed in the layout is determined by the total number of components and the number of rows specified.

  Parameters:
    cols - the number of columns in this layout.
  Throws: IllegalArgumentException
    if the value of both `rows` and `cols` is set to zero.

getHgap

     public int getHgap()

  Gets the horizontal gap between components.

  Returns:
    the horizontal gap between components.

setHgap

     public void setHgap(int hgap)

  Sets the horizontal gap between components to the specified value.

  Parameters:
    hgap - the horizontal gap between components.

getVgap

     public int getVgap()

  Gets the vertical gap between components.

  Returns:
    the vertical gap between components.

setVgap

     public void setVgap(int vgap)

  Sets the vertical gap between components to the specified value.

  Parameters:
    vgap - the vertical gap between components.

addLayoutComponent

     public void addLayoutComponent(String name,
                                    Component comp)

  Adds the specified component with the specified name to the layout.

  Parameters:
    name - the name of the component.
    comp - the component to be added.

removeLayoutComponent

     public void removeLayoutComponent(Component comp)

  Removes the specified component from the layout.

  Parameters:
    comp - the component to be removed.

preferredLayoutSize

     public Dimension preferredLayoutSize(Container parent)

  Determines the preferred size of the container argument using this grid layout.

  The preferred width of a grid layout is the largest preferred width of any of the widths in the container times the number of columns, plus the horizontal padding times the number of columns plus one, plus the left and right insets of the target container.

  The preferred height of a grid layout is the largest preferred height of any of the widths in the container times the number of rows, plus the vertical padding times the number of rows plus one, plus the top and left insets of the target container.

  Parameters:
    target - the container in which to do the layout.
  Returns:
    the preferred dimensions to lay out the subcomponents of the specified container.
  See Also:
    minimumLayoutSize, getPreferredSize

minimumLayoutSize

     public Dimension minimumLayoutSize(Container parent)

  Determines the minimum size of the container argument using this grid layout.

  The minimum width of a grid layout is the largest minimum width of any of the widths in the container times the number of columns, plus the horizontal padding times the number of columns plus one, plus the left and right insets of the target container.

  The minimum height of a grid layout is the largest minimum height of any of the widths in the container times the number of rows, plus the vertical padding times the number of rows plus one, plus the top and left insets of the target container.

  Parameters:
    target - the container in which to do the layout.
  Returns:
    the minimum dimensions needed to lay out the subcomponents of the specified container.
  See Also:
    preferredLayoutSize, doLayout

layoutContainer

     public void layoutContainer(Container parent)

  Lays out the specified container using this layout.

  This method reshapes the components in the specified target container in order to satisfy the constraints of the `GridLayout` object.

  The grid layout manager determines the size of individual components by dividing the free space in the container into equal-sized portions according to the number of rows and columns in the layout. The container's free space equals the container's size minus any insets and any specified horizontal or vertical gap. All components in a grid layout are given the same size.

  Parameters:
    target - the container in which to do the layout.
  See Also:
    Container, doLayout

toString

     public String toString()

  Returns the string representation of this grid layout's values.

  Returns:
    a string representation of this grid layout.
  Overrides:
    toString in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.